Bug 173234 - [zfs] [patch] Allow filtering of properties on zfs receive (patch included)
Summary: [zfs] [patch] Allow filtering of properties on zfs receive (patch included)
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 8.3-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Hartland
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 10:20 UTC by Steven Hartland
Modified: 2020-02-05 11:13 UTC (History)
4 users (show)

See Also:


Attachments
file.txt (21.61 KB, text/plain)
2012-10-31 10:20 UTC, Steven Hartland
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Hartland 2012-10-31 10:20:01 UTC
Its some times useful to allow filtering / overriding of zfs properties on receive for example if a disk has a quota set the receive can fail due to changes to the way the data is compressed resulting in exceeding the quota.

The attached patch adds both -x (exclude property) as well as -o (override property) to zfs receive as requested by the upstream ticket:-
https://www.illumos.org/issues/2745

This mirrors and extends the functionality available in Sun's ZFS receive.

Fix: Apply the attached patch

Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-11-05 02:37:03 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-fs

Over to maintainer(s).
Comment 2 Steven Hartland freebsd_committer 2012-12-11 14:10:25 UTC
Responsible Changed
From-To: freebsd-fs->smh

I'll take it.
Comment 3 Ahmed Kamal 2015-07-21 14:13:50 UTC
Is this merged yet ?
Comment 4 Steven Hartland freebsd_committer 2015-07-21 14:15:42 UTC
Afraid not, need to get some time to clean up based on feedback from illumos
Comment 5 Lapo Luchini 2017-02-17 16:13:10 UTC
Seems that FreeNAS is using this already:
https://bugs.pcbsd.org/issues/11133
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:43:49 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.